AlomanaAlomanaAlomana Docs
ConnectorsConnections

Create Connection

Create a new connection. Credentials are validated and encrypted.

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

POST
/api/v1/data-sources/connections/
curl -X POST "https://central-hub-backend-service-33082575288.europe-west8.run.app/api/v1/data-sources/connections/" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "connector_key": "string",    "auth_type": "string",    "credentials": {}  }'
{
  "id": 0,
  "name": "string",
  "connector_key": "string",
  "auth_type": "string",
  "credentials": {},
  "is_deleted": false,
  "category": "data_source",
  "created_by_id": 0,
  "updated_by_id": 0,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "user_id": 0,
  "is_owner": false,
  "owner_name": "string",
  "semantic_layer": {
    "tables": [
      {
        "name": "string",
        "display_name": "string",
        "purpose": "string",
        "domain": "string",
        "is_included": true
      }
    ],
    "relationships": [
      {
        "from_table": "string",
        "to_table": "string",
        "from_columns": [
          "string"
        ],
        "to_columns": [
          "string"
        ],
        "cardinality": "1:1",
        "join_type": "LEFT",
        "confidence": "high",
        "when_to_use": "string"
      }
    ],
    "definitions": [
      {
        "id": "string",
        "name": "string",
        "description": "string",
        "domain": "string",
        "conditions": [
          {
            "field": "string",
            "operator": "equals",
            "value": null
          }
        ]
      }
    ],
    "kpis": [
      {
        "id": "string",
        "name": "string",
        "description": "string",
        "formula": "string",
        "sql": "string",
        "tables": [
          "string"
        ]
      }
    ]
  },
  "connector_type": "database"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}